Bug 172771 - Incorrect retained size
Incorrect retained size
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-22 14:24 UTC by Tomas Hurka
Modified: 2009-12-04 02:25 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
heap dump (328.89 KB, application/x-gzip)
2009-09-22 14:26 UTC, Tomas Hurka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2009-09-22 14:24:07 UTC
Open attached heap dump and compute retained size.
Retained size for javaapplication1.BlinkList$Entry#2 should be 56 and not 55.
Comment 1 Tomas Hurka 2009-09-22 14:26:09 UTC
Created attachment 88108 [details]
heap dump
Comment 2 Tomas Hurka 2009-09-22 14:44:22 UTC
Fixed in profiler-main

changeset:   146238:07713e3b8b82
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Sep 22 15:36:15 2009 +0200
summary:     bugfix #172771, get rid of -1 used in TreeObject
Comment 3 Quality Engineering 2009-09-27 22:38:14 UTC
Integrated into 'main-golden', will be available in build *200909270201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/07713e3b8b82
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #172771, get rid of -1 used in TreeObject


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo